Subject: Re: [ipwave] Protocols and Architectures for Traffic Lights

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 6 Jun 2019 05:13:19 +0200

For completeness,

The complete list of protocols to communication to Traffic Lights 
Controllers is: DIASER, IVERA, OCIT.

Because I learn in Germany and the Czech Republic, the OCIT protocol 
(not DIASER) may be used for communication to Traffic Lights Controller, 
with some implementations from Siemens and from Cross.  Not known 
whether OCIT works on IP, and on IPv6.

DIASER is known to work on RS232, TCP and UDP.  Seen on IPv4; not known 
on IPv6.  SEA is a traffic lights controller manufacturer in France that 
produces some, implements DIASER too.  There are about 10 manufacturers 
in France (Aximum of Colas, Fareco of Fayat, Lacroix, SEA, others?), all 
doing DIASER.

Basically, if one wants a car to talk to traffic lights controllers with 
low latenccy, one wants to put 3 protocols in that car.

Le 29/01/2019 à 15:04, Alexandre Petrescu a écrit :
>
>   Protocols and Architectures for Traffic Lights
>               Januay 29th, 2019
>
>
> DIASER: a protocol used to communicate to Traffic Lights controllers.
> Used in France.  Specified by AFNOR.  Closed and paying specification.
> Works on hardware platforms from Lacroix (model Traffy) and Aximum
> (model Maestro), and probably others.  Works on serial and on UDP/IP.
> Example queries are: "DZ" to reset, "Ck" and "CJ" to query the current
> color of lights, C# and CU to get the time spent in a color.
>
> API WIM 7101, RSGC2: proprietary API interfaces used by organisation
> NEAVIA of organisation Lacroix in France; it is used to provide access
> to data of traffic lights controllers.  It can be used with DIASER in
> a sequence way: a gateway converts from one to another.
>
> ISO PRESTO 22951: a protocol to communicate with traffic lights
> controller, to obtain priority for special vehicles.
>
> SPAT/SSM/SRM: protocols used by future traffic lights controllers;
> specified by SAE in J2735.  The 2009 version is freely available,
> whereas the 2016 (non retro-compatible) is paying 100 USD,
> approximative.  SPAT is Signal Phase and Timing, whereas SRM is Signal
> Request Message.
>
> SPAT-EM: an European version of SPAT, specified by ETSI, which
> encapsulates SPAT.  Free access, but SPAT still paying (free
> encapsulated paying).
>
> IVERA: a protocol used in Netherlands to communicate with Traffic
> Lights controllers.  Potentially VLOG is also such a protocol.
>
> 3G Segnaletica: an organisation in Italy that provides hardware for
> controllers for traffic  lights.  Also has models carried in 'mobile'
> traffic lights.  It provides a Raspberry Pi to access the traffic
> lights data.  The Raspberry Pi uses an API to access the controller
> status.  That API uses HTTP.
>
> Siemens: is an organisation that probably provides hardware for
> traffic lights controllers to be used in America (USA).
>
> Architectures: sketches drawing controller, tri-light bulbs, Internet,
> 802.11-OCB, car, API, SPAT.
>
> Acknowledgements: Daniele Brevi, Bart Netten, Stephane Goeuriot, Sri
> Gundavelli, Bruno Cabon, Paul Thorpe.
>
>
> _______________________________________________
> its mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/its

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 6 Jun 2019 17:18:40 +0200

For further completeness...

The Dutch version of protocols for Traffic Lights Controllers, in 
addition to IVERA also include iVRI, on the web at 
https://www.crow.nl/thema-s/verkeersmanagement/landelijke-ivri-standaarden

The German OCIT protocol is on the web at www.ocit.org

I continue to wonder what is the protocol used for communicating with 
Traffic Lights Controllers in Italy, and in America?

Alex

Le 06/06/2019 à 05:13, Alexandre Petrescu a écrit :
> (not DIASER) may be used for communication to Traffic Lights 
> Controller, with some implementations from Siemens and from Cross.  
> Not known whether OCIT works on IP, and on IPv6.
>
> DIASER is known to work on RS232, TCP and UDP.  Seen on IPv4; not 
> known on IPv6.  SEA is a traffic lights controller manufacturer in 
> France that produces some, implements DIASER too.  There are about 10 
> manufacturers in France (Aximum of Colas, Fareco of Fayat, Lacroix, 
> SEA, others?), all doing DIASER.
>
> Basically, if one wants a car to talk to traffic lights controllers 
> with low latenccy, one wants to put 3 protocols in that car.
>
>

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 6 Jun 2019 19:26:42 +0200

Sorry, I forgot, we already discussed.  I am in told in private that:

In the US the protocol to communicate with Traffic Lights Controllers is 
NTCIP.  It is on the web at 
https://www.ntcip.org/document-numbers-and-status/ It has Internet 
specifically (it has profile for it, dated 2001).

I dont see IPv6 mentioned though.

Not only a car would need to implement IVERA, DIASER, NTCIP and OCIT to 
talk to Traffic Lights Controllers, but it would not need IPv6 at all.  
Because none runs on IPv6.

I disagree with this lack of IPv6 support in these protocols.

---

From: Alexandre PETRESCU <[email-masked]>
Date: Tue, 25 Jun 2019 18:22:54 +0200

I got more enlightenment from a recognised expert.

In France, in addition to DIASER there is also LCR protocol for Traffic 
Lights.

In UK there is UTMC protocol.

NTCIP is acknowledged as a protocol in USA.  Further, it may be 
implemented by Thales, a French company.

--
Alexandre Petrescu
[email-masked], tél 0169089223